<?php
/**
 * @version $Id: login.php 3864 2010-11-05 16:23:40Z fxstein $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2009 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.org
 **/

// Dont allow direct linking
defined ( '_JEXEC' ) or die ();

require_once (KUNENA_PATH_LIB . DS . 'kunena.login.php');
$this->user = JFactory::getUser();
$this->config = KunenaFactory::getConfig ();
$type = CKunenaLogin::getType ();
$return = CKunenaLogin::getReturnURL ( $type );
$avatar = CKunenaLogin::getMyAvatar();
$login = CKunenaLogin::getloginFields();
?>
<?php if ($login) : ?>

<div class="kblock klogin">
	<div class="kheader">
		<h2><span><?php echo JText::_('COM_KUNENA_LOGIN_NOTIFICATION'); ?></span></h2>
	</div>
	<div class="kcontainer">
		<div class="kbody">
	<div class="ktitle-desc">
		<?php echo JText::_('COM_KUNENA_LOGIN_FORUM') ?>
	</div>
			<form action="<?php echo KUNENA_LIVEURLREL ?>" method="post" name="login">
				<table>
					<tr>
						<td style="text-align:left;">
							<?php echo JText::_('COM_KUNENA_A_USERNAME'); ?>
						</td>
						<td style="text-align:left;">
							<input type="text" name="<?php echo $login['field_username']; ?>" class="inputbox ks" alt="username" size="40" /> &nbsp;<?php echo CKunenaLogin::getLostUserLink ();?>
						</td>
					</tr>
					<tr>
						<td style="text-align:left;">
							<?php echo JText::_('COM_KUNENA_PASS'); ?>
						</td>
						<td style="text-align:left;">
							<input type="password" name="<?php echo $login['field_password']; ?>" class="inputbox ks" size="40" alt="password" value=""/> &nbsp;<?php echo CKunenaLogin::getLostPasswordLink (); ?>
						</td>
					</tr>
					<?php if (JPluginHelper::isEnabled ( 'system', 'remember' )) : ?>
					<tr>
						<td style="text-align:left;">
							<?php echo JText::_('COM_KUNENA_PROFILEBOX_REMEMBER_ME'); ?>
						</td>
						<td style="text-align:left;">
							<input type="checkbox" name="<?php echo $login['field_remember']; ?>" value="yes" alt="Remember Me" />
						</td>
					</tr>
					<?php endif; ?>
					<tr>
						<td style="text-align:left;">
							<span>
								<input type="submit" name="submit" class="kbutton" value="<?php echo JText::_('COM_KUNENA_PROFILEBOX_LOGIN'); ?>" />
							</span>
						</td>
					</tr>
				</table>
							<input type="hidden" name="option" value="<?php echo $login['option']; ?>" />
							<?php if (!empty($login['view'])) : ?>
							<input type="hidden" name="view" value="<?php echo $login['view']; ?>" />
							<?php endif; ?>
							<input type="hidden" name="task" value="<?php echo $login['task']; ?>" />
							<input type="hidden" name="<?php echo $login['field_return']; ?>" value="<?php echo $return; ?>" />
							<?php echo JHTML::_ ( 'form.token' ); ?>
			</form>
		</div>
	</div>
</div>

<?php endif; ?>
<?php
$registration = CKunenaLogin::getRegisterLink ();
if ($registration) :
?>

<div class="kblock klogin">
	<div class="kheader">
		<h2><span><?php echo JText::_('COM_KUNENA_PROFILEBOX_REGISTER'); ?></span></h2>
	</div>
	<div class="kcontainer">
		<div class="kbody">
				<table>
					<tr>
						<td>
						<?php
						$usersConfig = &JComponentHelper::getParams ( 'com_users' );
						if ($usersConfig->get ( 'allowUserRegistration' )) {
						echo JText::_('COM_KUNENA_LOGIN_MESSAGE');
						} else {
						echo JText::_('COM_KUNENA_REG_NOTALLOWED'); }
						?>
						</td></tr>
						<tr>
							<td>
						<span class="tk-ruleshelp-link">
							<span class="kprofilebox_link kbutton">
								<?php echo CKunenaLink::GetRulesLink( JText::_('COM_KUNENA_FORUM_RULES') ); ?>
							</span>
							 &nbsp;&nbsp;&nbsp;&nbsp;
							<span class="kprofilebox_link kbutton">
								<?php echo CKunenaLink::GetHelpLink( JText::_('COM_KUNENA_FORUM_HELP') ); ?>
							</span>
						</span>
						</td>
					</tr>
					<tr>
						<td style="text-align:left;">
							<span>
								<?php echo $registration; ?>
							</span>
						</td>
					</tr>
				</table>
		</div>
	</div>
</div>
<?php endif; ?>